Overview | Package | Class | Use | Tree | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.developmentontheedge.jobcontrol
Class ClassJobControl

    java.lang.Object
      com.developmentontheedge.jobcontrol.AbstractJobControl
          com.developmentontheedge.jobcontrol.ClassJobControl

All Implemented Interfaces:
  JobControl, java.lang.Runnable

public abstract class ClassJobControl
extends AbstractJobControl

Field Summary

Fields inherited from class com.developmentontheedge.jobcontrol.AbstractJobControl
`cat, isTerminated, preparedness, runStatus, startedDate, status`

Fields inherited from interface com.developmentontheedge.jobcontrol.JobControl
`COMPLETED, CREATED, PAUSED, RUNNING, TERMINATED_BY_ERROR, TERMINATED_BY_REQUEST`

Constructor Summary
`ClassJobControl(org.apache.log4j.Category cat)`

Method Summary
`void` | `asyncRun()` Starts Job in another thread.

Methods inherited from class com.developmentontheedge.jobcontrol.AbstractJobControl
`addListener, begin, begin, checkStatus, doRun, end, end, exceptionOccured, fireJobPaused, fireJobResumed, fireJobStarted, fireJobTerminated, fireValueChanged, format, format, getCreatedTime, getElapsedTime, getEndedTime, getPreparedness, getRemainedTime, getStartedTime, getStatus, getTextStatus, isStatusTerminated, pause, reset, resetFlags, resultsAreReady, resume, run, setCompleted, setPreparedness, setTerminated, terminate`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ClassJobControl

    public ClassJobControl(org.apache.log4j.Category cat)

Method Detail

### asyncRun

    public void asyncRun()

  Starts Job in another thread.

Overview | Package | Class | Use | Tree | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2003 Biosof.Ru. All Rights Reserved.